%{?scl:%scl_package python-billiard}
%{!?scl:%global pkg_name %{name}}

%global srcname billiard

Summary:    Multiprocessing Pool Extensions
Name:       %{?scl_prefix}python-billiard
Version:    3.3.0.23
Release:    2%{?dist}
License:    BSD
Url:        http://pypi.python.org/pypi/billiard
Source0:    http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
BuildRequires:  %{?scl_prefix}python-nose
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
rm -rf %{buildroot}
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}

%clean
rm -rf %{buildroot}

%files
%doc CHANGES.txt LICENSE.txt README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info
%exclude %{python3_sitelib}/funtests/

%changelog
* Wed Oct 05 2016 Patrick Creech - 3.3.0.23-2
- rebuilt

* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 3.3.0.23-1
- Initial Release for 3.3.0.23

